include	clib.inc

_TEXT	SEGMENT

strlwr proc dist pascal public uses ds si string:dword
	lds si,string
      @@:
	mov al,[si]
	test al,al
	jz @F
	sub al,'A'
	cmp al,'Z' - 'A' + 1
	sbb al,al
	and al,'a' - 'A'
	xor [si],al
	inc si
	jmp @B
      @@:
	mov ax,word ptr string
	mov dx,word ptr string+2
	ret
strlwr	endp

_TEXT	ENDS

	END
